#pragma once

#include "file_manager.h"

#include <util/datetime/base.h>

namespace NH2Log {

    void SummarizeErrorStreams(TFileManager& fileManager);

    void SummarizeSlowStreams(TFileManager& fileManager, TDuration minDuration, bool humanReadable);

    void SummarizeSlowStreamSends(TFileManager& fileManager, TDuration minDuration, bool humanReadable);

}
